Subject: bug#419 closed by Gregory Nowak <[email-masked]> (issue resolved)

From: "Devuan bug Tracking System" <[email-masked]>
Date: Thu, 23 Jul 2020 03:33:09 +0000

This is an automatic notification regarding your bug report
which was filed against the devuan-installer package:

#419: devuan-installer: locale and time zone aren't set on a freshly installed Beowulf system

It has been closed by Gregory Nowak <[email-masked]>.

Their explanation is attached below along with your original report.
If this explanation is unsatisfactory and you have not received a
better one in a separate message then please contact Gregory Nowak <[email-masked]> by
replying to this email.

-- 
419: https://bugs.devuan.org/cgi/bugreport.cgi?bug=419
Devuan Bug Tracking System
Contact [email-masked] with problems

Subject: issue resolved
From: Gregory Nowak <[email-masked]>
To: [email-masked]
Date: Wed, 22 Jul 2020 20:21:26 -0700

The reported locale and time zone issues seem to be solved in the
official Beowulf installer. Therefore, I'm closing this bug.

Subject: devuan-installer: locale and time zone aren't set on a freshly installed Beowulf system
From: Gregory Nowak <[email-masked]>
To: Devuan Bug Tracking System <[email-masked]>
Date: Wed, 25 Mar 2020 21:01:05 -0700

Package: devuan-installer
Severity: minor

Dear Maintainer,

I used a text only install option with speech by pressing s at the boot prompt.

Even though the installer asked locale and time zone questions, the locale and time zone weren't set in the freshly installed system. During the install at the select software stage, I answered a second set of questions about time zone which look identical to the questions asked when dpkg-reconfigure tzdata is run

The locale and tzdata packages were already installed. So, all I needed to do is to run dpkg-reconfigure locales, and dpkg-reconfigure tzdata. I do believe though that given the questions asked during the install, this should already have been done by the installer itself. Thank you.

-- System Information:
Distributor ID:	Debian
Description:	Devuan GNU/Linux 3 (beowulf)
Release:	3
Codename:	beowulf
Architecture: x86_64

Kernel: Linux 5.4.0-0.bpo.3-amd64 (SMP w/16 CPU cores)
Kernel taint flags: TAINT_CRAP
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8), LANGUAGE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash
Init: sysvinit (via /sbin/init)
LSM: AppArmor: enabled